source: mod_gnutls/test/Makefile.in @ 89f863f

debian/masterdebian/stretch-backportsjessie-backportsupstream upstream/0.7.1
Last change on this file since 89f863f was 89f863f, checked in by Daniel Kahn Gillmor <dkg@…>, 5 years ago

Imported Upstream version 0.7.1

  • Property mode set to 100644
File size: 51.9 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#!/usr/bin/make -f
18# Authors:
19# Daniel Kahn Gillmor <dkg@fifthhorseman.net>
20# Thomas Klute <thomas2.klute@uni-dortmund.de>
21
22# General rules to set up a miniature CA & server & client environment
23# for the test suite
24VPATH = @srcdir@
25am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
26am__make_running_with_option = \
27  case $${target_option-} in \
28      ?) ;; \
29      *) echo "am__make_running_with_option: internal error: invalid" \
30              "target option '$${target_option-}' specified" >&2; \
31         exit 1;; \
32  esac; \
33  has_opt=no; \
34  sane_makeflags=$$MAKEFLAGS; \
35  if $(am__is_gnu_make); then \
36    sane_makeflags=$$MFLAGS; \
37  else \
38    case $$MAKEFLAGS in \
39      *\\[\ \   ]*) \
40        bs=\\; \
41        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
42          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
43    esac; \
44  fi; \
45  skip_next=no; \
46  strip_trailopt () \
47  { \
48    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
49  }; \
50  for flg in $$sane_makeflags; do \
51    test $$skip_next = yes && { skip_next=no; continue; }; \
52    case $$flg in \
53      *=*|--*) continue;; \
54        -*I) strip_trailopt 'I'; skip_next=yes;; \
55      -*I?*) strip_trailopt 'I';; \
56        -*O) strip_trailopt 'O'; skip_next=yes;; \
57      -*O?*) strip_trailopt 'O';; \
58        -*l) strip_trailopt 'l'; skip_next=yes;; \
59      -*l?*) strip_trailopt 'l';; \
60      -[dEDm]) skip_next=yes;; \
61      -[JT]) skip_next=yes;; \
62    esac; \
63    case $$flg in \
64      *$$target_option*) has_opt=yes; break;; \
65    esac; \
66  done; \
67  test $$has_opt = yes
68am__make_dryrun = (target_option=n; $(am__make_running_with_option))
69am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
70pkgdatadir = $(datadir)/@PACKAGE@
71pkgincludedir = $(includedir)/@PACKAGE@
72pkglibdir = $(libdir)/@PACKAGE@
73pkglibexecdir = $(libexecdir)/@PACKAGE@
74am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
75install_sh_DATA = $(install_sh) -c -m 644
76install_sh_PROGRAM = $(install_sh) -c
77install_sh_SCRIPT = $(install_sh) -c
78INSTALL_HEADER = $(INSTALL_DATA)
79transform = $(program_transform_name)
80NORMAL_INSTALL = :
81PRE_INSTALL = :
82POST_INSTALL = :
83NORMAL_UNINSTALL = :
84PRE_UNINSTALL = :
85POST_UNINSTALL = :
86build_triplet = @build@
87host_triplet = @host@
88target_triplet = @target@
89@USE_MSVA_TRUE@am__append_1 = test-15_basic_msva.bash
90DIST_COMMON = $(srcdir)/test_ca.mk $(srcdir)/Makefile.in \
91        $(srcdir)/Makefile.am $(am__dist_check_SCRIPTS_DIST) \
92        $(top_srcdir)/config/test-driver README
93@USE_MSVA_TRUE@am__append_2 = $(msva_home)/trustdb.gpg client.uid
94@USE_MSVA_TRUE@am__append_3 = $(msva_home)/trustdb.gpg
95subdir = test
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/m4/apache.m4 \
98        $(top_srcdir)/m4/apache_test.m4 \
99        $(top_srcdir)/m4/apr_memcache.m4 $(top_srcdir)/m4/libtool.m4 \
100        $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
101        $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
102        $(top_srcdir)/m4/outoforder.m4 $(top_srcdir)/configure.ac
103am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
104        $(ACLOCAL_M4)
105mkinstalldirs = $(install_sh) -d
106CONFIG_HEADER = $(top_builddir)/include/mod_gnutls_config.h
107CONFIG_CLEAN_FILES =
108CONFIG_CLEAN_VPATH_FILES =
109am__dist_check_SCRIPTS_DIST = test-00_basic.bash \
110        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
111        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
112        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
113        test-07_verify_sni_b.bash \
114        test-08_verify_no_sni_fallback_to_first_vhost.bash \
115        test-09_verify_no_sni_fails_with_wrong_order.bash \
116        test-10_basic_client_verification.bash \
117        test-11_basic_client_verification_fail.bash \
118        test-12_cgi_variables.bash \
119        test-13_cgi_variables_no_client_cert.bash \
120        test-14_basic_openpgp.bash test-15_basic_msva.bash \
121        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
122        test-18_client_verification_wrong_cert.bash \
123        test-19_TLS_reverse_proxy.bash \
124        test-20_TLS_reverse_proxy_client_auth.bash \
125        test-21_TLS_reverse_proxy_wrong_cert.bash \
126        test-22_TLS_reverse_proxy_crl_revoke.bash \
127        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
128        test-24_pkcs11_cert.bash
129AM_V_P = $(am__v_P_@AM_V@)
130am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
131am__v_P_0 = false
132am__v_P_1 = :
133AM_V_GEN = $(am__v_GEN_@AM_V@)
134am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
135am__v_GEN_0 = @echo "  GEN     " $@;
136am__v_GEN_1 = 
137AM_V_at = $(am__v_at_@AM_V@)
138am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
139am__v_at_0 = @
140am__v_at_1 = 
141SOURCES =
142DIST_SOURCES =
143RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
144        ctags-recursive dvi-recursive html-recursive info-recursive \
145        install-data-recursive install-dvi-recursive \
146        install-exec-recursive install-html-recursive \
147        install-info-recursive install-pdf-recursive \
148        install-ps-recursive install-recursive installcheck-recursive \
149        installdirs-recursive pdf-recursive ps-recursive \
150        tags-recursive uninstall-recursive
151am__can_run_installinfo = \
152  case $$AM_UPDATE_INFO_DIR in \
153    n|no|NO) false;; \
154    *) (install-info --version) >/dev/null 2>&1;; \
155  esac
156RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
157  distclean-recursive maintainer-clean-recursive
158am__recursive_targets = \
159  $(RECURSIVE_TARGETS) \
160  $(RECURSIVE_CLEAN_TARGETS) \
161  $(am__extra_recursive_targets)
162AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
163        check recheck distdir
164am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
165# Read a list of newline-separated strings from the standard input,
166# and print each of them once, without duplicates.  Input order is
167# *not* preserved.
168am__uniquify_input = $(AWK) '\
169  BEGIN { nonempty = 0; } \
170  { items[$$0] = 1; nonempty = 1; } \
171  END { if (nonempty) { for (i in items) print i; }; } \
172'
173# Make sure the list of sources is unique.  This is necessary because,
174# e.g., the same source file might be shared among _SOURCES variables
175# for different programs/libraries.
176am__define_uniq_tagged_files = \
177  list='$(am__tagged_files)'; \
178  unique=`for i in $$list; do \
179    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
180  done | $(am__uniquify_input)`
181ETAGS = etags
182CTAGS = ctags
183am__tty_colors_dummy = \
184  mgn= red= grn= lgn= blu= brg= std=; \
185  am__color_tests=no
186am__tty_colors = { \
187  $(am__tty_colors_dummy); \
188  if test "X$(AM_COLOR_TESTS)" = Xno; then \
189    am__color_tests=no; \
190  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
191    am__color_tests=yes; \
192  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
193    am__color_tests=yes; \
194  fi; \
195  if test $$am__color_tests = yes; then \
196    red='[0;31m'; \
197    grn='[0;32m'; \
198    lgn='[1;32m'; \
199    blu='[1;34m'; \
200    mgn='[0;35m'; \
201    brg='[1m'; \
202    std='[m'; \
203  fi; \
204}
205am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
206am__vpath_adj = case $$p in \
207    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
208    *) f=$$p;; \
209  esac;
210am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
211am__install_max = 40
212am__nobase_strip_setup = \
213  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
214am__nobase_strip = \
215  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
216am__nobase_list = $(am__nobase_strip_setup); \
217  for p in $$list; do echo "$$p $$p"; done | \
218  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
219  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
220    if (++n[$$2] == $(am__install_max)) \
221      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
222    END { for (dir in files) print dir, files[dir] }'
223am__base_list = \
224  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
225  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
226am__uninstall_files_from_dir = { \
227  test -z "$$files" \
228    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
229    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
230         $(am__cd) "$$dir" && rm -f $$files; }; \
231  }
232am__recheck_rx = ^[     ]*:recheck:[    ]*
233am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
234am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
235# A command that, given a newline-separated list of test names on the
236# standard input, print the name of the tests that are to be re-run
237# upon "make recheck".
238am__list_recheck_tests = $(AWK) '{ \
239  recheck = 1; \
240  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
241    { \
242      if (rc < 0) \
243        { \
244          if ((getline line2 < ($$0 ".log")) < 0) \
245            recheck = 0; \
246          break; \
247        } \
248      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
249        { \
250          recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
254        { \
255          break; \
256        } \
257    }; \
258  if (recheck) \
259    print $$0; \
260  close ($$0 ".trs"); \
261  close ($$0 ".log"); \
262}'
263# A command that, given a newline-separated list of test names on the
264# standard input, create the global log from their .trs and .log files.
265am__create_global_log = $(AWK) ' \
266function fatal(msg) \
267{ \
268  print "fatal: making $@: " msg | "cat >&2"; \
269  exit 1; \
270} \
271function rst_section(header) \
272{ \
273  print header; \
274  len = length(header); \
275  for (i = 1; i <= len; i = i + 1) \
276    printf "="; \
277  printf "\n\n"; \
278} \
279{ \
280  copy_in_global_log = 1; \
281  global_test_result = "RUN"; \
282  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
283    { \
284      if (rc < 0) \
285         fatal("failed to read from " $$0 ".trs"); \
286      if (line ~ /$(am__global_test_result_rx)/) \
287        { \
288          sub("$(am__global_test_result_rx)", "", line); \
289          sub("[        ]*$$", "", line); \
290          global_test_result = line; \
291        } \
292      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
293        copy_in_global_log = 0; \
294    }; \
295  if (copy_in_global_log) \
296    { \
297      rst_section(global_test_result ": " $$0); \
298      while ((rc = (getline line < ($$0 ".log"))) != 0) \
299      { \
300        if (rc < 0) \
301          fatal("failed to read from " $$0 ".log"); \
302        print line; \
303      }; \
304      printf "\n"; \
305    }; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# Restructured Text title.
310am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
311# Solaris 10 'make', and several other traditional 'make' implementations,
312# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
313# by disabling -e (using the XSI extension "set +e") if it's set.
314am__sh_e_setup = case $$- in *e*) set +e;; esac
315# Default flags passed to test drivers.
316am__common_driver_flags = \
317  --color-tests "$$am__color_tests" \
318  --enable-hard-errors "$$am__enable_hard_errors" \
319  --expect-failure "$$am__expect_failure"
320# To be inserted before the command running the test.  Creates the
321# directory for the log if needed.  Stores in $dir the directory
322# containing $f, in $tst the test, in $log the log.  Executes the
323# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
324# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
325# will run the test scripts (or their associated LOG_COMPILER, if
326# thy have one).
327am__check_pre = \
328$(am__sh_e_setup);                                      \
329$(am__vpath_adj_setup) $(am__vpath_adj)                 \
330$(am__tty_colors);                                      \
331srcdir=$(srcdir); export srcdir;                        \
332case "$@" in                                            \
333  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
334    *) am__odir=.;;                                     \
335esac;                                                   \
336test "x$$am__odir" = x"." || test -d "$$am__odir"       \
337  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
338if test -f "./$$f"; then dir=./;                        \
339elif test -f "$$f"; then dir=;                          \
340else dir="$(srcdir)/"; fi;                              \
341tst=$$dir$$f; log='$@';                                 \
342if test -n '$(DISABLE_HARD_ERRORS)'; then               \
343  am__enable_hard_errors=no;                            \
344else                                                    \
345  am__enable_hard_errors=yes;                           \
346fi;                                                     \
347case " $(XFAIL_TESTS) " in                              \
348  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
349    am__expect_failure=yes;;                            \
350  *)                                                    \
351    am__expect_failure=no;;                             \
352esac;                                                   \
353$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
354# A shell command to get the names of the tests scripts with any registered
355# extension removed (i.e., equivalently, the names of the test logs, with
356# the '.log' extension removed).  The result is saved in the shell variable
357# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
358# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
359# since that might cause problem with VPATH rewrites for suffix-less tests.
360# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
361am__set_TESTS_bases = \
362  bases='$(TEST_LOGS)'; \
363  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
364  bases=`echo $$bases`
365RECHECK_LOGS = $(TEST_LOGS)
366TEST_SUITE_LOG = test-suite.log
367TEST_EXTENSIONS = @EXEEXT@ .test
368LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
369LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
370am__set_b = \
371  case '$@' in \
372    */*) \
373      case '$*' in \
374        */*) b='$*';; \
375          *) b=`echo '$@' | sed 's/\.log$$//'`; \
376       esac;; \
377    *) \
378      b='$*';; \
379  esac
380am__test_logs1 = $(TESTS:=.log)
381am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
382TEST_LOGS = $(am__test_logs2:.test.log=.log)
383TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
384TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
385        $(TEST_LOG_FLAGS)
386DIST_SUBDIRS = $(SUBDIRS)
387DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
388am__relativize = \
389  dir0=`pwd`; \
390  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
391  sed_rest='s,^[^/]*/*,,'; \
392  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
393  sed_butlast='s,/*[^/]*$$,,'; \
394  while test -n "$$dir1"; do \
395    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
396    if test "$$first" != "."; then \
397      if test "$$first" = ".."; then \
398        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
399        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
400      else \
401        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
402        if test "$$first2" = "$$first"; then \
403          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
404        else \
405          dir2="../$$dir2"; \
406        fi; \
407        dir0="$$dir0"/"$$first"; \
408      fi; \
409    fi; \
410    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
411  done; \
412  reldir="$$dir2"
413ACLOCAL = @ACLOCAL@
414AMTAR = @AMTAR@
415AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
416APACHE2 = @APACHE2@
417APR_CFLAGS = @APR_CFLAGS@
418APR_CPPFLAGS = @APR_CPPFLAGS@
419APR_INCLUDES = @APR_INCLUDES@
420APR_LDFLAGS = @APR_LDFLAGS@
421APR_LIBS = @APR_LIBS@
422APR_LIBTOOL = @APR_LIBTOOL@
423APR_MEMCACHE_CFLAGS = @APR_MEMCACHE_CFLAGS@
424APR_MEMCACHE_LIBS = @APR_MEMCACHE_LIBS@
425APU_INCLUDES = @APU_INCLUDES@
426APU_LDFLAGS = @APU_LDFLAGS@
427APU_LIBS = @APU_LIBS@
428APU_LIBTOOL = @APU_LIBTOOL@
429APXS_BIN = @APXS_BIN@
430APXS_CFLAGS = @APXS_CFLAGS@
431APXS_EXTENSION = @APXS_EXTENSION@
432AP_BINDIR = @AP_BINDIR@
433AP_CFLAGS = @AP_CFLAGS@
434AP_CPPFLAGS = @AP_CPPFLAGS@
435AP_DEFS = @AP_DEFS@
436AP_INCLUDEDIR = @AP_INCLUDEDIR@
437AP_INCLUDES = @AP_INCLUDES@
438AP_LIBEXECDIR = @AP_LIBEXECDIR@
439AP_PREFIX = @AP_PREFIX@
440AP_SBINDIR = @AP_SBINDIR@
441AP_SYSCONFDIR = @AP_SYSCONFDIR@
442AP_VERSION = @AP_VERSION@
443AR = @AR@
444AUTOCONF = @AUTOCONF@
445AUTOHEADER = @AUTOHEADER@
446AUTOMAKE = @AUTOMAKE@
447AWK = @AWK@
448CC = @CC@
449CCDEPMODE = @CCDEPMODE@
450CFLAGS = @CFLAGS@
451CPP = @CPP@
452CPPFLAGS = @CPPFLAGS@
453CYGPATH_W = @CYGPATH_W@
454DEFS = @DEFS@
455DEPDIR = @DEPDIR@
456DLLTOOL = @DLLTOOL@
457DSYMUTIL = @DSYMUTIL@
458DUMPBIN = @DUMPBIN@
459ECHO_C = @ECHO_C@
460ECHO_N = @ECHO_N@
461ECHO_T = @ECHO_T@
462EGREP = @EGREP@
463EXEEXT = @EXEEXT@
464FGREP = @FGREP@
465GREP = @GREP@
466INSTALL = @INSTALL@
467INSTALL_DATA = @INSTALL_DATA@
468INSTALL_PROGRAM = @INSTALL_PROGRAM@
469INSTALL_SCRIPT = @INSTALL_SCRIPT@
470INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
471LD = @LD@
472LDFLAGS = @LDFLAGS@
473LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
474LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
475LIBOBJS = @LIBOBJS@
476LIBS = @LIBS@
477LIBTOOL = @LIBTOOL@
478LIPO = @LIPO@
479LN_S = @LN_S@
480LTLIBOBJS = @LTLIBOBJS@
481MAINT = @MAINT@
482MAKEINFO = @MAKEINFO@
483MANIFEST_TOOL = @MANIFEST_TOOL@
484MKDIR_P = @MKDIR_P@
485MODULE_CFLAGS = @MODULE_CFLAGS@
486MODULE_LIBS = @MODULE_LIBS@
487MOD_GNUTLS_VERSION = @MOD_GNUTLS_VERSION@
488NM = @NM@
489NMEDIT = @NMEDIT@
490OBJDUMP = @OBJDUMP@
491OBJEXT = @OBJEXT@
492OOO_MAINTAIN = @OOO_MAINTAIN@
493OTOOL = @OTOOL@
494OTOOL64 = @OTOOL64@
495PACKAGE = @PACKAGE@
496PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
497PACKAGE_NAME = @PACKAGE_NAME@
498PACKAGE_STRING = @PACKAGE_STRING@
499PACKAGE_TARNAME = @PACKAGE_TARNAME@
500PACKAGE_URL = @PACKAGE_URL@
501PACKAGE_VERSION = @PACKAGE_VERSION@
502PANDOC = @PANDOC@
503PATH_SEPARATOR = @PATH_SEPARATOR@
504PDFLATEX = @PDFLATEX@
505PKG_CONFIG = @PKG_CONFIG@
506PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
507PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
508RANLIB = @RANLIB@
509SED = @SED@
510SET_MAKE = @SET_MAKE@
511SHELL = @SHELL@
512STRIP = @STRIP@
513TEST_HOST = @TEST_HOST@
514TEST_IP = @TEST_IP@
515VERSION = @VERSION@
516abs_builddir = @abs_builddir@
517abs_srcdir = @abs_srcdir@
518abs_top_builddir = @abs_top_builddir@
519abs_top_srcdir = @abs_top_srcdir@
520ac_ct_AR = @ac_ct_AR@
521ac_ct_CC = @ac_ct_CC@
522ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
523am__include = @am__include@
524am__leading_dot = @am__leading_dot@
525am__quote = @am__quote@
526am__tar = @am__tar@
527am__untar = @am__untar@
528bindir = @bindir@
529build = @build@
530build_alias = @build_alias@
531build_cpu = @build_cpu@
532build_os = @build_os@
533build_vendor = @build_vendor@
534builddir = @builddir@
535datadir = @datadir@
536datarootdir = @datarootdir@
537docdir = @docdir@
538dvidir = @dvidir@
539exec_prefix = @exec_prefix@
540have_apr_memcache = @have_apr_memcache@
541host = @host@
542host_alias = @host_alias@
543host_cpu = @host_cpu@
544host_os = @host_os@
545host_vendor = @host_vendor@
546htmldir = @htmldir@
547includedir = @includedir@
548infodir = @infodir@
549install_sh = @install_sh@
550libdir = @libdir@
551libexecdir = @libexecdir@
552localedir = @localedir@
553localstatedir = @localstatedir@
554mandir = @mandir@
555mkdir_p = @mkdir_p@
556oldincludedir = @oldincludedir@
557pdfdir = @pdfdir@
558prefix = @prefix@
559program_transform_name = @program_transform_name@
560psdir = @psdir@
561sbindir = @sbindir@
562sharedstatedir = @sharedstatedir@
563srcdir = @srcdir@
564sysconfdir = @sysconfdir@
565target = @target@
566target_alias = @target_alias@
567target_cpu = @target_cpu@
568target_os = @target_os@
569target_vendor = @target_vendor@
570top_build_prefix = @top_build_prefix@
571top_builddir = @top_builddir@
572top_srcdir = @top_srcdir@
573SUBDIRS = tests
574dist_check_SCRIPTS = test-00_basic.bash \
575        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
576        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
577        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
578        test-07_verify_sni_b.bash \
579        test-08_verify_no_sni_fallback_to_first_vhost.bash \
580        test-09_verify_no_sni_fails_with_wrong_order.bash \
581        test-10_basic_client_verification.bash \
582        test-11_basic_client_verification_fail.bash \
583        test-12_cgi_variables.bash \
584        test-13_cgi_variables_no_client_cert.bash \
585        test-14_basic_openpgp.bash $(am__append_1) \
586        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
587        test-18_client_verification_wrong_cert.bash \
588        test-19_TLS_reverse_proxy.bash \
589        test-20_TLS_reverse_proxy_client_auth.bash \
590        test-21_TLS_reverse_proxy_wrong_cert.bash \
591        test-22_TLS_reverse_proxy_crl_revoke.bash \
592        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
593        test-24_pkcs11_cert.bash
594TESTS = $(dist_check_SCRIPTS)
595
596# Identities in the miniature CA, server, and client environment for
597# the test suite
598identities = server authority client imposter rogueca
599# Append strings after ":=" to each identity to generate a list of
600# necessary files
601pgp_tokens = $(identities:=/secring.gpg) $(identities:=/cert.pgp) \
602        $(identities:=/secret.pgp)
603
604x509_keys = $(identities:=/secret.key)
605x509_certs = $(identities:=/x509.pem)
606x509_tokens = $(x509_certs) $(x509_keys)
607tokens = $(x509_tokens) $(pgp_tokens)
608
609# Test cases trying to create keys and certificates in parallel causes
610# race conditions. Ensure that all keys and certificates are generated
611# before tests get to run.
612#
613# NOTE: Once the support files have been generated, test cases can be
614# run with multiple jobs, but real parallelization would require
615# dynamic port assignments. At the moment, lock files ensure that only
616# one Apache instance (possibly plus a proxy back end instance) is
617# running at any time, so test cases actually have to wait for each
618# other - just not in any particular order.
619
620# SoftHSM files
621check_DATA = $(tokens) server/crl.pem $(am__append_2) \
622        server/softhsm.db make-test-dirs
623
624# Delete X.509 certificates and generated templates on "mostlyclean"
625# target. Certificates can be rebuilt without generating new key
626# pairs, and regenerating them makes it possible to change identities
627# (e.g. host names) without wasting entropy on new keys (which would
628# happen after "clean").
629
630# Delete PGP keyrings on "mostlyclean" target. They are created from
631# the X.509 private keys and certificates with an expiration time of
632# one day, so regenerating them is both fast and frequently
633# necessary.
634
635# Delete lock files for test servers on "mostlyclean" target.
636MOSTLYCLEANFILES = cache/* logs/* outputs/* server/crl.pem */x509.pem \
637        $(generated_templates) *.uid */*.pgp */*.gpg */*.gpg~ \
638        */gpg.conf authority/lock *.lock $(am__append_3) \
639        tests/24_pkcs11_cert/softhsm.conf server/softhsm.db
640cert_templates = authority.template.in client.template.in \
641        imposter.template.in rogueca.template server.template.in
642
643generated_templates = authority.template client.template \
644        imposter.template server.template
645
646
647# Delete X.509 private keys on full clean. Note that unless you need
648# to generate fresh keys, the "mostlyclean" target should be
649# sufficient (see below).
650# GnuPG random pool, no need to regenerate on every build
651CLEANFILES = $(x509_keys) authority/random_seed
652
653# rule to build MSVA trust database
654@USE_MSVA_TRUE@msva_home = msva.gnupghome
655extra_dirs = logs cache outputs
656
657# Apache configuration and data files
658apache_data = base_apache.conf cgi_module.conf data/* mime.types proxy_mods.conf
659EXTRA_DIST = $(apache_data) $(cert_templates) *.uid.in proxy_backend.bash \
660        runtests server-crl.template server-softhsm.conf softhsm.bash
661
662
663# Lockfile for the main Apache process
664test_lockfile = ./test.lock
665# Maximum wait time in seconds for flock to aquire instance lock files
666lock_wait = 30
667AM_TESTS_ENVIRONMENT = export APACHE2=$(APACHE2); \
668        export AP_LIBEXECDIR=$(AP_LIBEXECDIR); \
669        export TEST_LOCK="$(test_lockfile)"; \
670        export TEST_LOCK_WAIT="$(lock_wait)"; \
671        export TEST_HOST="$(TEST_HOST)"; \
672        export TEST_IP="$(TEST_IP)"; \
673        export TEST_PORT="$(TEST_PORT)"; \
674        export MSVA_PORT="$(MSVA_PORT)"; \
675        export TEST_MSVA_MAX_WAIT="$(TEST_MSVA_MAX_WAIT)"; \
676        export TEST_MSVA_WAIT="$(TEST_MSVA_WAIT)"; \
677        export TEST_QUERY_DELAY="$(TEST_QUERY_DELAY)"; \
678        export BACKEND_HOST="$(TEST_HOST)"; \
679        export BACKEND_IP="$(TEST_IP)";
680
681all: all-recursive
682
683.SUFFIXES:
684.SUFFIXES: .log .test .test$(EXEEXT) .trs
685$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/test_ca.mk $(am__configure_deps)
686        @for dep in $?; do \
687          case '$(am__configure_deps)' in \
688            *$$dep*) \
689              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
690                && { if test -f $@; then exit 0; else break; fi; }; \
691              exit 1;; \
692          esac; \
693        done; \
694        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
695        $(am__cd) $(top_srcdir) && \
696          $(AUTOMAKE) --gnu test/Makefile
697.PRECIOUS: Makefile
698Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
699        @case '$?' in \
700          *config.status*) \
701            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
702          *) \
703            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
704            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
705        esac;
706$(srcdir)/test_ca.mk:
707
708$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
709        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
710
711$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
712        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
714        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715$(am__aclocal_m4_deps):
716
717mostlyclean-libtool:
718        -rm -f *.lo
719
720clean-libtool:
721        -rm -rf .libs _libs
722
723# This directory's subdirectories are mostly independent; you can cd
724# into them and run 'make' without going through this Makefile.
725# To change the values of 'make' variables: instead of editing Makefiles,
726# (1) if the variable is set in 'config.status', edit 'config.status'
727#     (which will cause the Makefiles to be regenerated when you run 'make');
728# (2) otherwise, pass the desired values on the 'make' command line.
729$(am__recursive_targets):
730        @fail=; \
731        if $(am__make_keepgoing); then \
732          failcom='fail=yes'; \
733        else \
734          failcom='exit 1'; \
735        fi; \
736        dot_seen=no; \
737        target=`echo $@ | sed s/-recursive//`; \
738        case "$@" in \
739          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
740          *) list='$(SUBDIRS)' ;; \
741        esac; \
742        for subdir in $$list; do \
743          echo "Making $$target in $$subdir"; \
744          if test "$$subdir" = "."; then \
745            dot_seen=yes; \
746            local_target="$$target-am"; \
747          else \
748            local_target="$$target"; \
749          fi; \
750          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
751          || eval $$failcom; \
752        done; \
753        if test "$$dot_seen" = "no"; then \
754          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
755        fi; test -z "$$fail"
756
757ID: $(am__tagged_files)
758        $(am__define_uniq_tagged_files); mkid -fID $$unique
759tags: tags-recursive
760TAGS: tags
761
762tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
763        set x; \
764        here=`pwd`; \
765        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
766          include_option=--etags-include; \
767          empty_fix=.; \
768        else \
769          include_option=--include; \
770          empty_fix=; \
771        fi; \
772        list='$(SUBDIRS)'; for subdir in $$list; do \
773          if test "$$subdir" = .; then :; else \
774            test ! -f $$subdir/TAGS || \
775              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
776          fi; \
777        done; \
778        $(am__define_uniq_tagged_files); \
779        shift; \
780        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
781          test -n "$$unique" || unique=$$empty_fix; \
782          if test $$# -gt 0; then \
783            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
784              "$$@" $$unique; \
785          else \
786            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
787              $$unique; \
788          fi; \
789        fi
790ctags: ctags-recursive
791
792CTAGS: ctags
793ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
794        $(am__define_uniq_tagged_files); \
795        test -z "$(CTAGS_ARGS)$$unique" \
796          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
797             $$unique
798
799GTAGS:
800        here=`$(am__cd) $(top_builddir) && pwd` \
801          && $(am__cd) $(top_srcdir) \
802          && gtags -i $(GTAGS_ARGS) "$$here"
803cscopelist: cscopelist-recursive
804
805cscopelist-am: $(am__tagged_files)
806        list='$(am__tagged_files)'; \
807        case "$(srcdir)" in \
808          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
809          *) sdir=$(subdir)/$(srcdir) ;; \
810        esac; \
811        for i in $$list; do \
812          if test -f "$$i"; then \
813            echo "$(subdir)/$$i"; \
814          else \
815            echo "$$sdir/$$i"; \
816          fi; \
817        done >> $(top_builddir)/cscope.files
818
819distclean-tags:
820        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
821
822# Recover from deleted '.trs' file; this should ensure that
823# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
824# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
825# to avoid problems with "make -n".
826.log.trs:
827        rm -f $< $@
828        $(MAKE) $(AM_MAKEFLAGS) $<
829
830# Leading 'am--fnord' is there to ensure the list of targets does not
831# expand to empty, as could happen e.g. with make check TESTS=''.
832am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
833am--force-recheck:
834        @:
835
836$(TEST_SUITE_LOG): $(TEST_LOGS)
837        @$(am__set_TESTS_bases); \
838        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
839        redo_bases=`for i in $$bases; do \
840                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
841                    done`; \
842        if test -n "$$redo_bases"; then \
843          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
844          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
845          if $(am__make_dryrun); then :; else \
846            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
847          fi; \
848        fi; \
849        if test -n "$$am__remaking_logs"; then \
850          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
851               "recursion detected" >&2; \
852        else \
853          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
854        fi; \
855        if $(am__make_dryrun); then :; else \
856          st=0;  \
857          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
858          for i in $$redo_bases; do \
859            test -f $$i.trs && test -r $$i.trs \
860              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
861            test -f $$i.log && test -r $$i.log \
862              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
863          done; \
864          test $$st -eq 0 || exit 1; \
865        fi
866        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
867        ws='[   ]'; \
868        results=`for b in $$bases; do echo $$b.trs; done`; \
869        test -n "$$results" || results=/dev/null; \
870        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
871        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
872        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
873        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
874        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
875        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
876        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
877        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
878          success=true; \
879        else \
880          success=false; \
881        fi; \
882        br='==================='; br=$$br$$br$$br$$br; \
883        result_count () \
884        { \
885            if test x"$$1" = x"--maybe-color"; then \
886              maybe_colorize=yes; \
887            elif test x"$$1" = x"--no-color"; then \
888              maybe_colorize=no; \
889            else \
890              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
891            fi; \
892            shift; \
893            desc=$$1 count=$$2; \
894            if test $$maybe_colorize = yes && test $$count -gt 0; then \
895              color_start=$$3 color_end=$$std; \
896            else \
897              color_start= color_end=; \
898            fi; \
899            echo "$${color_start}# $$desc $$count$${color_end}"; \
900        }; \
901        create_testsuite_report () \
902        { \
903          result_count $$1 "TOTAL:" $$all   "$$brg"; \
904          result_count $$1 "PASS: " $$pass  "$$grn"; \
905          result_count $$1 "SKIP: " $$skip  "$$blu"; \
906          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
907          result_count $$1 "FAIL: " $$fail  "$$red"; \
908          result_count $$1 "XPASS:" $$xpass "$$red"; \
909          result_count $$1 "ERROR:" $$error "$$mgn"; \
910        }; \
911        {                                                               \
912          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
913            $(am__rst_title);                                           \
914          create_testsuite_report --no-color;                           \
915          echo;                                                         \
916          echo ".. contents:: :depth: 2";                               \
917          echo;                                                         \
918          for b in $$bases; do echo $$b; done                           \
919            | $(am__create_global_log);                                 \
920        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
921        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
922        if $$success; then                                              \
923          col="$$grn";                                                  \
924         else                                                           \
925          col="$$red";                                                  \
926          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
927        fi;                                                             \
928        echo "$${col}$$br$${std}";                                      \
929        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
930        echo "$${col}$$br$${std}";                                      \
931        create_testsuite_report --maybe-color;                          \
932        echo "$$col$$br$$std";                                          \
933        if $$success; then :; else                                      \
934          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
935          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
936            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
937          fi;                                                           \
938          echo "$$col$$br$$std";                                        \
939        fi;                                                             \
940        $$success || exit 1
941
942check-TESTS:
943        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
944        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
945        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
946        @set +e; $(am__set_TESTS_bases); \
947        log_list=`for i in $$bases; do echo $$i.log; done`; \
948        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
949        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
950        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
951        exit $$?;
952recheck: all $(dist_check_SCRIPTS) $(check_DATA)
953        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
954        @set +e; $(am__set_TESTS_bases); \
955        bases=`for i in $$bases; do echo $$i; done \
956                 | $(am__list_recheck_tests)` || exit 1; \
957        log_list=`for i in $$bases; do echo $$i.log; done`; \
958        log_list=`echo $$log_list`; \
959        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
960                am__force_recheck=am--force-recheck \
961                TEST_LOGS="$$log_list"; \
962        exit $$?
963test-00_basic.bash.log: test-00_basic.bash
964        @p='test-00_basic.bash'; \
965        b='test-00_basic.bash'; \
966        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
967        --log-file $$b.log --trs-file $$b.trs \
968        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
969        "$$tst" $(AM_TESTS_FD_REDIRECT)
970test-01_serverwide_priorities.bash.log: test-01_serverwide_priorities.bash
971        @p='test-01_serverwide_priorities.bash'; \
972        b='test-01_serverwide_priorities.bash'; \
973        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
974        --log-file $$b.log --trs-file $$b.trs \
975        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
976        "$$tst" $(AM_TESTS_FD_REDIRECT)
977test-02_cache_in_vhost.bash.log: test-02_cache_in_vhost.bash
978        @p='test-02_cache_in_vhost.bash'; \
979        b='test-02_cache_in_vhost.bash'; \
980        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
981        --log-file $$b.log --trs-file $$b.trs \
982        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
983        "$$tst" $(AM_TESTS_FD_REDIRECT)
984test-03_cachetimeout_in_vhost.bash.log: test-03_cachetimeout_in_vhost.bash
985        @p='test-03_cachetimeout_in_vhost.bash'; \
986        b='test-03_cachetimeout_in_vhost.bash'; \
987        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
988        --log-file $$b.log --trs-file $$b.trs \
989        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
990        "$$tst" $(AM_TESTS_FD_REDIRECT)
991test-04_basic_nosni.bash.log: test-04_basic_nosni.bash
992        @p='test-04_basic_nosni.bash'; \
993        b='test-04_basic_nosni.bash'; \
994        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
995        --log-file $$b.log --trs-file $$b.trs \
996        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
997        "$$tst" $(AM_TESTS_FD_REDIRECT)
998test-05_mismatched-priorities.bash.log: test-05_mismatched-priorities.bash
999        @p='test-05_mismatched-priorities.bash'; \
1000        b='test-05_mismatched-priorities.bash'; \
1001        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1002        --log-file $$b.log --trs-file $$b.trs \
1003        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1004        "$$tst" $(AM_TESTS_FD_REDIRECT)
1005test-06_verify_sni_a.bash.log: test-06_verify_sni_a.bash
1006        @p='test-06_verify_sni_a.bash'; \
1007        b='test-06_verify_sni_a.bash'; \
1008        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1009        --log-file $$b.log --trs-file $$b.trs \
1010        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1011        "$$tst" $(AM_TESTS_FD_REDIRECT)
1012test-07_verify_sni_b.bash.log: test-07_verify_sni_b.bash
1013        @p='test-07_verify_sni_b.bash'; \
1014        b='test-07_verify_sni_b.bash'; \
1015        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1016        --log-file $$b.log --trs-file $$b.trs \
1017        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1018        "$$tst" $(AM_TESTS_FD_REDIRECT)
1019test-08_verify_no_sni_fallback_to_first_vhost.bash.log: test-08_verify_no_sni_fallback_to_first_vhost.bash
1020        @p='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
1021        b='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
1022        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1023        --log-file $$b.log --trs-file $$b.trs \
1024        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1025        "$$tst" $(AM_TESTS_FD_REDIRECT)
1026test-09_verify_no_sni_fails_with_wrong_order.bash.log: test-09_verify_no_sni_fails_with_wrong_order.bash
1027        @p='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
1028        b='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
1029        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1030        --log-file $$b.log --trs-file $$b.trs \
1031        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1032        "$$tst" $(AM_TESTS_FD_REDIRECT)
1033test-10_basic_client_verification.bash.log: test-10_basic_client_verification.bash
1034        @p='test-10_basic_client_verification.bash'; \
1035        b='test-10_basic_client_verification.bash'; \
1036        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1037        --log-file $$b.log --trs-file $$b.trs \
1038        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1039        "$$tst" $(AM_TESTS_FD_REDIRECT)
1040test-11_basic_client_verification_fail.bash.log: test-11_basic_client_verification_fail.bash
1041        @p='test-11_basic_client_verification_fail.bash'; \
1042        b='test-11_basic_client_verification_fail.bash'; \
1043        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1044        --log-file $$b.log --trs-file $$b.trs \
1045        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1046        "$$tst" $(AM_TESTS_FD_REDIRECT)
1047test-12_cgi_variables.bash.log: test-12_cgi_variables.bash
1048        @p='test-12_cgi_variables.bash'; \
1049        b='test-12_cgi_variables.bash'; \
1050        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1051        --log-file $$b.log --trs-file $$b.trs \
1052        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1053        "$$tst" $(AM_TESTS_FD_REDIRECT)
1054test-13_cgi_variables_no_client_cert.bash.log: test-13_cgi_variables_no_client_cert.bash
1055        @p='test-13_cgi_variables_no_client_cert.bash'; \
1056        b='test-13_cgi_variables_no_client_cert.bash'; \
1057        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1058        --log-file $$b.log --trs-file $$b.trs \
1059        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1060        "$$tst" $(AM_TESTS_FD_REDIRECT)
1061test-14_basic_openpgp.bash.log: test-14_basic_openpgp.bash
1062        @p='test-14_basic_openpgp.bash'; \
1063        b='test-14_basic_openpgp.bash'; \
1064        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1065        --log-file $$b.log --trs-file $$b.trs \
1066        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1067        "$$tst" $(AM_TESTS_FD_REDIRECT)
1068test-15_basic_msva.bash.log: test-15_basic_msva.bash
1069        @p='test-15_basic_msva.bash'; \
1070        b='test-15_basic_msva.bash'; \
1071        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1072        --log-file $$b.log --trs-file $$b.trs \
1073        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1074        "$$tst" $(AM_TESTS_FD_REDIRECT)
1075test-16_view-status.bash.log: test-16_view-status.bash
1076        @p='test-16_view-status.bash'; \
1077        b='test-16_view-status.bash'; \
1078        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1079        --log-file $$b.log --trs-file $$b.trs \
1080        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1081        "$$tst" $(AM_TESTS_FD_REDIRECT)
1082test-17_cgi_vars_large_cert.bash.log: test-17_cgi_vars_large_cert.bash
1083        @p='test-17_cgi_vars_large_cert.bash'; \
1084        b='test-17_cgi_vars_large_cert.bash'; \
1085        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1086        --log-file $$b.log --trs-file $$b.trs \
1087        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1088        "$$tst" $(AM_TESTS_FD_REDIRECT)
1089test-18_client_verification_wrong_cert.bash.log: test-18_client_verification_wrong_cert.bash
1090        @p='test-18_client_verification_wrong_cert.bash'; \
1091        b='test-18_client_verification_wrong_cert.bash'; \
1092        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1093        --log-file $$b.log --trs-file $$b.trs \
1094        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1095        "$$tst" $(AM_TESTS_FD_REDIRECT)
1096test-19_TLS_reverse_proxy.bash.log: test-19_TLS_reverse_proxy.bash
1097        @p='test-19_TLS_reverse_proxy.bash'; \
1098        b='test-19_TLS_reverse_proxy.bash'; \
1099        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1100        --log-file $$b.log --trs-file $$b.trs \
1101        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1102        "$$tst" $(AM_TESTS_FD_REDIRECT)
1103test-20_TLS_reverse_proxy_client_auth.bash.log: test-20_TLS_reverse_proxy_client_auth.bash
1104        @p='test-20_TLS_reverse_proxy_client_auth.bash'; \
1105        b='test-20_TLS_reverse_proxy_client_auth.bash'; \
1106        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1107        --log-file $$b.log --trs-file $$b.trs \
1108        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1109        "$$tst" $(AM_TESTS_FD_REDIRECT)
1110test-21_TLS_reverse_proxy_wrong_cert.bash.log: test-21_TLS_reverse_proxy_wrong_cert.bash
1111        @p='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1112        b='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1113        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1114        --log-file $$b.log --trs-file $$b.trs \
1115        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1116        "$$tst" $(AM_TESTS_FD_REDIRECT)
1117test-22_TLS_reverse_proxy_crl_revoke.bash.log: test-22_TLS_reverse_proxy_crl_revoke.bash
1118        @p='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1119        b='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1120        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1121        --log-file $$b.log --trs-file $$b.trs \
1122        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1123        "$$tst" $(AM_TESTS_FD_REDIRECT)
1124test-23_TLS_reverse_proxy_mismatched_priorities.bash.log: test-23_TLS_reverse_proxy_mismatched_priorities.bash
1125        @p='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1126        b='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1127        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1128        --log-file $$b.log --trs-file $$b.trs \
1129        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1130        "$$tst" $(AM_TESTS_FD_REDIRECT)
1131test-24_pkcs11_cert.bash.log: test-24_pkcs11_cert.bash
1132        @p='test-24_pkcs11_cert.bash'; \
1133        b='test-24_pkcs11_cert.bash'; \
1134        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1135        --log-file $$b.log --trs-file $$b.trs \
1136        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1137        "$$tst" $(AM_TESTS_FD_REDIRECT)
1138.test.log:
1139        @p='$<'; \
1140        $(am__set_b); \
1141        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1142        --log-file $$b.log --trs-file $$b.trs \
1143        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1144        "$$tst" $(AM_TESTS_FD_REDIRECT)
1145@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1146@am__EXEEXT_TRUE@       @p='$<'; \
1147@am__EXEEXT_TRUE@       $(am__set_b); \
1148@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1149@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1150@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1151@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1152
1153distdir: $(DISTFILES)
1154        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1155        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1156        list='$(DISTFILES)'; \
1157          dist_files=`for file in $$list; do echo $$file; done | \
1158          sed -e "s|^$$srcdirstrip/||;t" \
1159              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1160        case $$dist_files in \
1161          */*) $(MKDIR_P) `echo "$$dist_files" | \
1162                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1163                           sort -u` ;; \
1164        esac; \
1165        for file in $$dist_files; do \
1166          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1167          if test -d $$d/$$file; then \
1168            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1169            if test -d "$(distdir)/$$file"; then \
1170              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1171            fi; \
1172            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1173              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1174              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1175            fi; \
1176            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1177          else \
1178            test -f "$(distdir)/$$file" \
1179            || cp -p $$d/$$file "$(distdir)/$$file" \
1180            || exit 1; \
1181          fi; \
1182        done
1183        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1184          if test "$$subdir" = .; then :; else \
1185            $(am__make_dryrun) \
1186              || test -d "$(distdir)/$$subdir" \
1187              || $(MKDIR_P) "$(distdir)/$$subdir" \
1188              || exit 1; \
1189            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1190            $(am__relativize); \
1191            new_distdir=$$reldir; \
1192            dir1=$$subdir; dir2="$(top_distdir)"; \
1193            $(am__relativize); \
1194            new_top_distdir=$$reldir; \
1195            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1196            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1197            ($(am__cd) $$subdir && \
1198              $(MAKE) $(AM_MAKEFLAGS) \
1199                top_distdir="$$new_top_distdir" \
1200                distdir="$$new_distdir" \
1201                am__remove_distdir=: \
1202                am__skip_length_check=: \
1203                am__skip_mode_fix=: \
1204                distdir) \
1205              || exit 1; \
1206          fi; \
1207        done
1208check-am: all-am
1209        $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS) $(check_DATA)
1210        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1211check: check-recursive
1212all-am: Makefile
1213installdirs: installdirs-recursive
1214installdirs-am:
1215install: install-recursive
1216install-exec: install-exec-recursive
1217install-data: install-data-recursive
1218uninstall: uninstall-recursive
1219
1220install-am: all-am
1221        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1222
1223installcheck: installcheck-recursive
1224install-strip:
1225        if test -z '$(STRIP)'; then \
1226          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1227            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1228              install; \
1229        else \
1230          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1231            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1232            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1233        fi
1234mostlyclean-generic:
1235        -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1236        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1237        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1238        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1239
1240clean-generic:
1241        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1242
1243distclean-generic:
1244        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1245        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1246
1247maintainer-clean-generic:
1248        @echo "This command is intended for maintainers to use"
1249        @echo "it deletes files that may require special tools to rebuild."
1250clean: clean-recursive
1251
1252clean-am: clean-generic clean-libtool clean-local mostlyclean-am
1253
1254distclean: distclean-recursive
1255        -rm -f Makefile
1256distclean-am: clean-am distclean-generic distclean-tags
1257
1258dvi: dvi-recursive
1259
1260dvi-am:
1261
1262html: html-recursive
1263
1264html-am:
1265
1266info: info-recursive
1267
1268info-am:
1269
1270install-data-am:
1271
1272install-dvi: install-dvi-recursive
1273
1274install-dvi-am:
1275
1276install-exec-am:
1277
1278install-html: install-html-recursive
1279
1280install-html-am:
1281
1282install-info: install-info-recursive
1283
1284install-info-am:
1285
1286install-man:
1287
1288install-pdf: install-pdf-recursive
1289
1290install-pdf-am:
1291
1292install-ps: install-ps-recursive
1293
1294install-ps-am:
1295
1296installcheck-am:
1297
1298maintainer-clean: maintainer-clean-recursive
1299        -rm -f Makefile
1300maintainer-clean-am: distclean-am maintainer-clean-generic
1301
1302mostlyclean: mostlyclean-recursive
1303
1304mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1305
1306pdf: pdf-recursive
1307
1308pdf-am:
1309
1310ps: ps-recursive
1311
1312ps-am:
1313
1314uninstall-am:
1315
1316.MAKE: $(am__recursive_targets) check-am install-am install-strip
1317
1318.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1319        check-TESTS check-am clean clean-generic clean-libtool \
1320        clean-local cscopelist-am ctags ctags-am distclean \
1321        distclean-generic distclean-libtool distclean-tags distdir dvi \
1322        dvi-am html html-am info info-am install install-am \
1323        install-data install-data-am install-dvi install-dvi-am \
1324        install-exec install-exec-am install-html install-html-am \
1325        install-info install-info-am install-man install-pdf \
1326        install-pdf-am install-ps install-ps-am install-strip \
1327        installcheck installcheck-am installdirs installdirs-am \
1328        maintainer-clean maintainer-clean-generic mostlyclean \
1329        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1330        recheck tags tags-am uninstall uninstall-am
1331
1332
1333%.template: $(srcdir)/%.template.in
1334        sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@
1335
1336%.uid: $(srcdir)/%.uid.in
1337        sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@
1338
1339%/secret.key:
1340        mkdir -p $(dir $@)
1341        chmod 0700 $(dir $@)
1342        certtool --generate-privkey > $@
1343
1344%/secring.gpg: %.uid %/secret.key
1345        rm -f $(dir $@)pubring.gpg $(dir $@)secring.gpg $(dir $@)trustdb.gpg
1346        PEM2OPENPGP_EXPIRATION=86400 PEM2OPENPGP_USAGE_FLAGS=authenticate,certify,sign pem2openpgp "$$(cat $<)" < $(dir $@)secret.key | GNUPGHOME=$(dir $@) gpg --import
1347        printf "%s:6:\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust
1348
1349%/gpg.conf: %/secring.gpg
1350        printf "default-key %s\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1351
1352%/secret.pgp: %/secring.gpg
1353        GNUPGHOME=$(dir $@) gpg --armor --batch --no-tty --yes --export-secret-key "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1354
1355%/minimal.pgp: %/secring.gpg
1356        GNUPGHOME=$(dir $@) gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1357
1358# Import and signing modify the shared keyring, which leads to race
1359# conditions with parallel make. Locking avoids this problem.
1360%/cert.pgp: %/minimal.pgp authority/gpg.conf
1361        GNUPGHOME=authority flock authority/lock gpg --import $<
1362        GNUPGHOME=authority flock authority/lock gpg --batch --sign-key --no-tty --yes "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)"
1363        GNUPGHOME=authority gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1364
1365# special cases for the authorities' root certs:
1366authority/x509.pem: authority.template authority/secret.key
1367        certtool --generate-self-signed --load-privkey authority/secret.key --template authority.template > $@
1368rogueca/x509.pem: $(srcdir)/rogueca.template rogueca/secret.key
1369        certtool --generate-self-signed --load-privkey rogueca/secret.key --template $(srcdir)/rogueca.template > $@
1370
1371%/cert-request: %.template %/secret.key
1372        certtool --generate-request --load-privkey $(dir $@)secret.key --template $< > $@
1373
1374%/x509.pem: %.template %/cert-request authority/secret.key authority/x509.pem
1375        certtool --generate-certificate --load-ca-certificate authority/x509.pem --load-ca-privkey authority/secret.key --load-request $(dir $@)cert-request --template $< > $@
1376
1377%/softhsm.db: %/x509.pem %/secret.key
1378        SOFTHSM_CONF="$(srcdir)/$(*)-softhsm.conf" $(srcdir)/softhsm.bash init $(dir $@)secret.key $(dir $@)x509.pem
1379
1380# Generate CRL revoking a certain certificate. Currently used to
1381# revoke the server certificate and check if setting the CRL as
1382# GnuTLSProxyCRLFile causes the connection to the back end server to
1383# fail.
1384%/crl.pem: %/x509.pem ${srcdir}/%-crl.template
1385        certtool --generate-crl \
1386                --load-ca-privkey authority/secret.key \
1387                --load-ca-certificate authority/x509.pem \
1388                --load-certificate $< \
1389                --template "${srcdir}/$(*)-crl.template" \
1390                > $@
1391@USE_MSVA_TRUE@$(msva_home)/trustdb.gpg: authority/minimal.pgp client/cert.pgp
1392@USE_MSVA_TRUE@ mkdir -p -m 0700 $(dir $@)
1393@USE_MSVA_TRUE@ GNUPGHOME=$(dir $@) gpg --import < $<
1394@USE_MSVA_TRUE@ printf "%s:6:\n" "$$(GNUPGHOME=authority gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust
1395@USE_MSVA_TRUE@ GNUPGHOME=$(dir $@) gpg --import < client/cert.pgp
1396@USE_MSVA_TRUE@ printf "keyserver does-not-exist.example\n" > $(msva_home)/gpg.conf
1397make-test-dirs:
1398        mkdir -p $(extra_dirs)
1399.PHONY: make-test-dirs
1400
1401clean-local:
1402        -rmdir $(identities) || true
1403        -rmdir $(extra_dirs) || true
1404@USE_MSVA_TRUE@ -rmdir $(msva_home) || true
1405
1406# port for the main Apache server
1407TEST_PORT ?= 9932
1408# port for MSVA in test cases that use it
1409MSVA_PORT ?= 9933
1410# maximum time to wait for MSVA startup
1411TEST_MSVA_MAX_WAIT ?= 10
1412# wait loop time for MSVA startup
1413TEST_MSVA_WAIT ?= 0.4
1414# seconds for the HTTP request to be sent and responded to
1415TEST_QUERY_DELAY ?= 30
1416
1417# Echo AM_TESTS_ENVIRONMENT. This can be useful for debugging, e.g. if
1418# you want to manually run an Apache instance with Valgrind using the
1419# same configuration as a test case.
1420show-test-env: export TEST_ENV=$(AM_TESTS_ENVIRONMENT)
1421show-test-env:
1422        @echo "$${TEST_ENV}"
1423
1424# Tell versions [3.59,3.63) of GNU make to not export all variables.
1425# Otherwise a system limit (for SysV at least) may be exceeded.
1426.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.